
* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  font-family: 'Lato', sans-serif;
}

body {
  background: #fdfdfd url('project-image/header-bg.png') no-repeat;
  background-size: auto;
  overflow-x: hidden;
}

.d-none,
.all-project,
.mobile {
  display: none;
}

.navbar {
  min-height: 70px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 24px;
}

.bar {
  display: block;
  width: 33px;
  height: 3px;
  margin: 5px auto;
  -webkit-transition: all 0.5s ease-in-out;
  transition: all 0.5s ease-in-out;
  background-color: #272a31;
}

.hello {
  font-size: 1.3em;
  font-weight: 100;
  color: #ec5242;
  margin: 18px 0 0 15px;
}

.creative {
  background: url('project-image/header-text-bg.jpg');
  background-repeat: no-repeat;
  background-position: center;
  background-clip: inherit;
  -webkit-background-clip: text;
  color: transparent;
  padding: 5px 10px 10px;
  width: 100vw;
  font-size: 1.8em;
  text-transform: uppercase;
  font-weight: 800;
  line-height: 1.1;
  margin: 0 10px;
}

.joy {
  border: 2px solid #fff;
  padding: 15px;
  margin: 20px 10px 10px;
  line-height: 1.5;
  font-size: 12px;
  color: #1c3457;
}

.date {
  font-size: 1.5em;
  font-weight: 900;
  margin: 15px 15px 10px;
  color: #5a5c61;
}

.place {
  margin: 8px 15px 10px;
  font-size: 0.8em;
  color: #8d8f92;
}

.main-prog-contents {
  background: url('project-image/main-prg-bg.jpeg') no-repeat;
  background-size: cover;
  text-align: center;
  margin-top: 4.5em;
}

.main-prog {
  color: #fff;
  font-size: 1em;
  font-weight: 500;
  padding: 30px 0 15px 0;
}

.h-r1 {
  width: 30px;
  height: 1px;
  background-color: #ec5242;
  margin: 0 auto 30px;
}

.program-list {
  list-style-type: none;
  margin: 0;
  padding: 0;
}

.items {
  background-color: #32353b;
  margin: 9px 12px;
  padding: 10px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 5px;
}

.items img {
  width: 100px;
  height: 100px;
  object-fit: cover;
}

.item-name {
  color: #ec5242;
  font-size: 0.85em;
  flex-basis: 20%;
  text-transform: capitalize;
}

.item-desc {
  color: #fff;
  font-size: 12px;
  flex-basis: 55%;
}

.join-btn {
  background-color: #ec5242;
  width: 80%;
  margin: 40px auto;
  padding: 25px;
  color: #fff;
  font-size: 0.9em;
  text-transform: capitalize;
  text-align: center;
  border: none;
  outline: none;
}

.feature {
  font-size: 1em;
  text-align: center;
  padding: 30px 0 15px 0;
  color: #1c3457;
}

.h-r2 {
  width: 30px;
  height: 1px;
  background-color: #ec5242;
  margin: 0 auto 30px;
}

.speakers,
.speakers2,
.speakers3 {
  display: flex;
  gap: 6px;
  margin-top: 20px;
}

.img-card {
  background: url('project-image/Chess_Board.png') no-repeat top left;
  flex-basis: 30%;
  padding: 10px 0 0 10px;
  background-size: 50px 50px;
}

.img-card img {
  width: 100%;
  height: auto;
}

.img-desc {
  padding: 0 1px 3px;
  flex-basis: 70%;
}

.speaker-name {
  text-transform: capitalize;
  font-size: 1em;
  margin: 3px auto;
}

.speaker-status {
  color: #ec5242;
  font-size: 11px;
  font-style: italic;
}

.h-r3 {
  width: 20px;
  height: 1px;
  background-color: #d3d3d3;
  margin: 7px 0;
}

.speaker-info {
  font-size: 11px;
  color: #1c3457;
  line-height: 1;
}

#toggle-btn {
  width: 90%;
  padding: 9px  0;
  background-color: #fff;
  border: 1px solid #d3d3d3;
  text-align: center;
  text-transform: uppercase;
  font-size: 13px;
  justify-content: center;
  margin: 0 0 20px 23px;
}

.angle {
  color: #ec5242;
  margin-left: 5px;
  font-size: 16px;
}

.footer {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.partner-section {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background: #272a31;
  width: 100vw;
  height: 35vh;
}

.h-r4 {
  width: 32px;
  height: 1px;
  background-color: #ec5242;
  margin: 0 auto 30px;
}

.partner {
  color: #fff;
  font-size: 1.1em;
  font-weight: 500;
  padding: 30px 0 15px 0;
}

.partner-list {
  list-style-type: none;
  padding: 5px 0 10px;
  margin: -10px 0 30px;
}

.partner-list-item {
  text-align: center;
  padding: 3px 10px;
}

.mozilla {
  color: #8a8585;
  margin: 0 15px;
  font-size: 1.5em;
}

.naver {
  color: #8a8585;
  font-weight: 900;
  margin: 0 15px;
  font-size: 1.5em;
  text-transform: uppercase;
}

.google {
  color: #5a5c61;
  font-weight: 100;
  margin: 0 15px;
  font-size: 1.5em;
}

.daumkakao {
  color: #5a5c61;
  margin-right: 5px;
  font-size: 1.1em;
}

.airbnb {
  color: #5a5c61;
  margin-left: 10px;
  font-size: 1.1em;
}

.alright-reserved {
  background-color: #d3d3d3;
  padding: 25px 5px;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100vw;
}

.korea {
  flex-basis: 45%;
  font-size: 1.2em;
  font-weight: 900;
  line-height: 0.8;
}

.rights-reserved {
  flex-basis: 55%;
  font-size: 0.8em;
  color: #424040;
}

.cc {
  width: 25px;
  height: 25px;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  border: 2px solid;
  border-radius: 50%;
  margin: 5px auto 0;
}

/* Mobile Menu */
@media only screen and (max-width: 768px) {
  .mobile-menu.active .bar:nth-child(2) {
    opacity: 0;
  }

  .mobile-menu.active .bar:nth-child(1) {
    transform: translateY(8px) rotate(45deg);
    background-color: #ec5242;
  }

  .mobile-menu.active .bar:nth-child(3) {
    transform: translateY(-8px) rotate(-45deg);
    background-color: #ec5242;
  }

  .desktop-menu {
    position: fixed;
    left: -100%;
    display: block;
    top: 0;
    gap: 0;
    width: 100%;
    transition: 0.3s;
    margin-left: 0;
    padding-top: 50px;
  }

  .desktop-menu.active {
    width: 100vw;
    height: 100vh;
    left: 0;
    background-color: rgba(0, 0, 0, 0.7);
    -webkit-backdrop-filter: blur(5px);
    backdrop-filter: blur(5px);
    margin-top: -2px;
    -webkit-transition: all 0.5s ease-in-out;
    transition: all 0.5s ease-in-out;
  }

  .nav-link {
    color: #ec5242;
    font-size: 2em;
    font-weight: 700;
    text-decoration: none;
    text-align: center;
  }

  .nav-item {
    padding: 10px 0;
    margin: 16px 20px;
    list-style-type: none;
    display: flex;
    justify-content: center;
  }

  .my-logo,
  .campaign,
  .logo,
  .login-details,
  .footer,
  .toggle-contents {
    display: none;
  }
}

@media (min-width: 768px) {
  .mobile-menu,
  #toggle-btn {
    display: none;
  }

  .mobile {
    display: block;
  }

  .login-details {
    background-color: #272a31;
    width: 100vw;
    position: fixed;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: end;
  }

  .login {
    margin-right: 12%;
    list-style-type: none;
    padding: 0;
  }

  .login-link {
    display: inline-block;
  }

  .login-details a {
    margin: 0 10px;
    text-transform: capitalize;
    font-size: 10px;
    color: white;
    text-decoration: none;
  }

  .navbar {
    min-height: 60px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 9%;
    background-color: #fdfdfd;
    position: fixed;
    margin-top: 30px;
    width: 100vw;
    box-shadow: -1px 3px 12px silver;
  }

  .cc {
    width: 30px;
    height: 30px;
    margin: 0 3px 2px;
  }

  .logo {
    display: flex;
    justify-content: start;
    align-items: center;
  }

  .logo img {
    width: 30%;
  }

  .my-logo {
    text-decoration: none;
    color: #272a31;
    font-weight: 900;
    line-height: 0.8;
  }

  .summit {
    font-size: 12px;
    margin: 0;
  }

  .nav-link {
    text-decoration: none;
    color: #000;
  }

  .active {
    color: #ec5242;
  }

  .nav-link:hover:not(.active) {
    color: #ec5242;
    text-decoration: none;
  }

  .desktop-menu {
    display: flex;
    list-style-type: none;
    justify-content: space-between;
    align-items: center;
    margin-right: 0;
  }

  .nav-item {
    margin: 0 35px;
  }

  .campaign {
    border: 4px solid #ec5242;
    color: #ec5242;
    padding: 5px;
    width: 12vw;
    text-align: center;
  }

  .container1 {
    padding: 9%;
  }

  .hello {
    font-size: 2.3em;
    font-weight: 100;
    color: #ec5242;
    margin: 18px 0 0 15px;
  }

  .creative {
    font-size: 3.5em;
    padding: 12px 0;
    width: 100%;
    text-transform: uppercase;
    font-weight: 800;
    line-height: 1.1;
    margin: 0 10px;
  }

  .joy {
    border: 2px solid #fff;
    width: 100%;
    padding: 20px;
    margin: 10px 10px 30px;
    line-height: 1.5;
    font-size: 0.9em;
    color: #1c3457;
    text-align: justify;
  }

  .date {
    font-size: 1.88em;
  }

  .place {
    font-size: 1em;
    color: #8d8f92;
  }

  .main-prog-contents {
    background: url('project-image/main-prg-bg.jpeg') no-repeat;
    background-size: cover;
    text-align: center;
    margin-top: 0.5em;
  }

  .main-prog {
    font-size: 1.5em;
    padding: 4% 0 1% 0;
  }

  .h-r1 {
    width: 40px;
  }

  .program-list {
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .items {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 15%;
    height: 240px;
    margin: 9px 2px;
    padding-top: 20px;
  }

  .items:hover {
    border: 2px solid #d3d3d3;
  }

  .items img {
    width: 50px;
    height: 50px;
  }

  .item-name {
    padding: 10px;
  }

  .item-desc {
    font-size: 11px;
    padding: 5px;
  }

  .join-btn {
    display: none;
  }

  .all-project {
    display: block;
    padding: 5% 0;
    color: #fff;
    font-size: 1.1em;
    text-align: center;
    text-transform: uppercase;
    word-spacing: 5px;
  }

  .speakers-section {
    margin-bottom: 55px;
  }

  .feature {
    font-size: 1.4em;
    color: #272a31;
  }

  .h-r2 {
    width: 35px;
  }

  .speakers-list,
  .speakers-list2,
  .speakers-list3 {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    margin-left: 100px;
    margin-right: 40px;
    margin-top: 30px;
  }

  .speakers,
  .speakers2,
  .speakers3 {
    display: flex;
    width: 70%;
  }

  .img-card {
    background: url('project-image/speaker-bg.jpeg') no-repeat top left;
    flex-basis: 30%;
    padding: 12px 0 0 12px;
    background-size: 60px 60px;
  }

  .img-card img {
    width: 100%;
    height: auto;
  }

  .img-desc {
    padding: 0 1px 3px;
    flex-basis: 70%;
  }

  .speaker-name {
    font-size: 1.2em;
    font-weight: 600;
  }

  .speaker-status {
    font-size: 13px;
  }

  .speaker-info {
    font-size: 12px;
  }

  .h-r3 {
    width: 30px;
    margin: 13px 0;
  }

  .partner-section {
    background: #272a31;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  .partner {
    color: #8a8585;
    font-size: 1.5em;
    padding: 10px 0 15px 0;
  }

  .partner-list {
    list-style-type: none;
    padding: 0;
    margin: 0;
  }

  .partner-list-item {
    display: inline-block;
    align-items: center;
    margin: 0 auto 10px;
    font-size: 1.5em;
  }

  .h-r4 {
    margin: 2px auto 8px;
  }

  .alright-reserved {
    background-color: #fff;
  }

  .footer-logo {
    width: 60%;
    height: 13vh;
    margin: 0 auto;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .footer-logo img {
    width: 20%;
    border-radius: 50%;
  }

  .rights {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    font-size: 12px;
  }
}

/* Mobile Popup */

.join-popup {
  width: 100vw;
  height: 100%;
  background-color: #ec5242;
  position: fixed;
  top: 0;
  left: 0;
  overflow: auto;
}

.popup-contents {
  background-color: #ecd;
  width: 85vw;
  margin: 30px auto;
  display: flex;
  flex-wrap: wrap;
  overflow: auto;
}

.popup-contents img {
  width: 50%;
  height: auto;
  border-radius: 30px;
}

.popup-contents .close-btnA {
  position: absolute;
  right: 5px;
  font-size: 1.5em;
}

.close-btnB {
  position: absolute;
  right: 5px;
  top: 411%;
  font-size: 1.2em;
  font-weight: 700;
  color: #fff;
  background-color: #8a8585;
  border: 1px solid;
}

/* Desktop Popup */

@media (min-width: 768px) {
  .join-popup {
    width: 100vw;
    height: 100%;
    background-color: #ec5242;
    position: fixed;
    top: 0;
    left: 0;
  }

  .popup-contents {
    background-color: #ecd;
    width: 90vw;
    height: 91vh;
    padding: 10px;
    margin: 20px auto;
    border-radius: 30px;
    display: flex;
    flex-wrap: wrap;
  }

  .popup-contents img {
    width: 11%;
    height: 30%;
    margin: 0 auto;
    border-radius: 30px;
  }

  .popup-contents .close-btnA {
    position: absolute;
    right: 30px;
    font-size: 1.5em;
  }

  .close-btnB {
    position: absolute;
    right: 20px;
    top: 96%;
    font-size: 1.2em;
    font-weight: 700;
    color: #000;
    background-color: #8a8585;
    border: 1px solid;
  }

  .close-btnA:hover,
  .close-btnB:hover {
    background-color: #272a31;
    color: #fff;
    cursor: pointer;
  }
}
